This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 808764

Summary: [abrt] kde-printer-applet-4.8.1-1.fc16: connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.147" is not allowed to own the service "com.redhat.NewPrinterNotification" due to security policies in the confi
Product: [Fedora] Fedora Reporter: Peter Hubberstey <bugzilla>
Component: kde-printer-appletAssignee: Ngo Than <than>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: jreznik, kevin, ltinkl, rdieter, rnovacek, than
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:588cbd503204c410f68fc299059f1fa4bbd61576
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-31 13:05:27 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Peter Hubberstey 2012-03-31 12:33:38 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python /usr/bin/printer-applet
executable:     /usr/bin/printer-applet
kernel:         3.3.0-4.fc16.x86_64
reason:         connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.147" is not allowed to own the service "com.redhat.NewPrinterNotification" due to security policies in the configuration file
time:           Mon 26 Mar 2012 12:40:33 AM BST
uid:            1000
username:       peter

backtrace:
:connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.147" is not allowed to own the service "com.redhat.NewPrinterNotification" due to security policies in the configuration file
:
:Traceback (most recent call last):
:  File "/usr/bin/printer-applet", line 1163, in <module>
:    applet = JobManager()
:  File "/usr/bin/printer-applet", line 300, in __init__
:    notification = NewPrinterNotification(bus, self)
:  File "/usr/bin/printer-applet", line 1052, in __init__
:    bus_name = dbus.service.BusName (PDS_OBJ, bus=bus)
:  File "/usr/lib/python2.7/site-packages/dbus/service.py", line 129, in __new__
:    retval = bus.request_name(name, name_flags)
:  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 306, in request_name
:    'su', (name, flags))
:  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
:    message, timeout)
:DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.147" is not allowed to own the service "com.redhat.NewPrinterNotification" due to security policies in the configuration file
:
:Local variables in innermost frame:
:byte_arrays: False
:self: <dbus._dbus.SystemBus (system) at 0x200f710>
:args: ('com.redhat.NewPrinterNotification', 0)
:utf8_strings: False
:bus_name: 'org.freedesktop.DBus'
:get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
:object_path: '/org/freedesktop/DBus'
:timeout: -1.0
:signature: 'su'
:dbus_interface: 'org.freedesktop.DBus'
:message: <dbus.lowlevel.MethodCallMessage object at 0x2030b58>
:method: 'RequestName'
Comment 1 Kevin Kofler 2012-03-31 13:05:27 EDT

*** This bug has been marked as a duplicate of bug 711719 ***